# HasChanged in maplibre::render::util - Rust
API documentation for the Rust `HasChanged` trait in crate `maplibre`.
Keywords: rust, rustlang, rust-lang, HasChanged

# Trait maplibre::render::util::HasChanged

source · [−]

    pub trait HasChanged {
        type Criteria: Eq;
        fn has_changed(&self, criteria: &Self::Criteria) -> bool;
    }

## Associated Types

source

#### type Criteria: Eq

## Required methods

source

#### fn has_changed(&self, criteria: &Self::Criteria) -> bool

## Implementations on Foreign Types

source

### impl<T> HasChanged for Option<T> where
T: HasChanged,

#### type Criteria = T::Criteria

source

#### fn has_changed(&self, criteria: &Self::Criteria) -> bool

## Implementors

source

### impl HasChanged for WindowHead

#### type Criteria = ( u32, u32 )

source

### impl HasChanged for Texture

#### type Criteria = ( u32, u32 )